import { Web3Modal } from '@web3modal/standalone';
import UniversalProvider from '@walletconnect/universal-provider';
import Client from '@walletconnect/sign-client';
import type { ChainInfo } from '../types';
import { SessionTypes } from '@walletconnect/types';
declare const provider: import("vue-demi").Ref<UniversalProvider | undefined>;
declare const supportedChains: import("vue-demi").Ref<ChainInfo | undefined>;
export declare const useWallet: (initializeOptions?: {
    supportedChains: ChainInfo;
    defaultChain: number;
    wcProjectId: string;
    wcRelayUrl?: string | undefined;
    accountChangedCallback?: (<T>(account: string) => T | Promise<T>) | undefined;
} | undefined) => {
    handleSwitchChain: (chain: number) => Promise<void>;
    connectToWallet: (id: string) => Promise<void>;
    setChain: (chain: number) => void;
    setAddress: (val: string) => void;
    onConnectResponse: (res: {
        chain: number;
        account: string;
        provider: UniversalProvider;
        connectorId: string;
    }) => void;
    disconnect: () => void;
    checkPersistedSessionWc: (prod: UniversalProvider) => Promise<SessionTypes.Struct | undefined>;
    address: import("vue-demi").Ref<string | undefined>;
    chainId: import("vue-demi").Ref<number | undefined>;
    provider: import("vue-demi").Ref<UniversalProvider | undefined>;
    walletConnectClient: import("vue-demi").Ref<Client | undefined>;
    web3ModalInstance: import("vue-demi").Ref<Web3Modal | undefined>;
    loadingConnect: import("vue-demi").Ref<boolean>;
    savedConnector: import("@vueuse/shared").RemovableRef<string>;
};
export {};
